Package Details: matomo 3.13.4-1

Git Clone URL: https://aur.archlinux.org/matomo.git (read-only, click to copy)
Package Base: matomo
Description: real time web analytics platform
Upstream URL: https://matomo.org/
Licenses: GPL3
Replaces: piwik
Submitter: freaknils
Maintainer: C0rn3j
Last Packager: C0rn3j
Votes: 32
Popularity: 0.000273
First Submitted: 2018-04-01 09:31
Last Updated: 2020-03-24 08:30

Dependencies (5)

Required by (0)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

G4Zz0L1 commented on 2018-09-01 23:36

The sha512sum for matomo-3.6.0.tar.gz is wrong

ChrisMorgan commented on 2018-09-01 01:48

I apologise for the delay. I’ve now updated it to 3.6.0 which was just released. Note that when you do the database upgrade, you’ll get complaints about file integrity checks having failed; that’s an upstream bug, see https://github.com/matomo-org/matomo/issues/13364.

If you’re upgrading from 3.4.0, I recommend caution: it’s a major release of the packaging. There are certain changes in the structure of the packaging, and the build script has been substantially rewritten. One of the important changes is restricting write access where convenient, to harden things up, and making it easy to perform further hardening after that.

I believe I’ve got it all right so that new installations and upgrades alike should work properly, but I don’t have a genuine 3.4.0 installation to upgrade from and am disinclined to do the extra work to get one going, so you lot are all guinea-pigs! Consider something like tar caf matomo-backup.tar.xz /usr/share/webapps/matomo /etc/webapps/matomo for safety.

For more notes on what has changed in the packaging since 3.4.0, see the commit message on ff3f2bdccdeb.

TheGoliath commented on 2018-08-31 22:14

As there hasn't been any new update here for months, I'd like to maintain this package. Matomo is currently whining cause it hasn't been updated. Let's change that. Furthermore I'd like to maintain this package in the future.

ChrisMorgan commented on 2018-07-12 00:45

I’ve made various changes to this locally, to update it and improve various things about the packaging and functionality.

Could I please be made a maintainer so I can update the package?

coderobe commented on 2018-04-01 19:05

should probably use <https://builds.matomo.org/> instead of <https://builds.piwik.org/> for future-proofing ;)

thor77 commented on 2016-10-02 21:38

The sha512sum for piwik-2.16.2.tar.gz is wrong/outdated.

CarstenF commented on 2015-09-22 08:40

Hello toco.
The pgp-signature is not wrong.
makepkg does not verify the pgp-signature by itself.
You need to import this pgp-key into your pgp.
try: gpg --recv-keys B5DBD5925590A237
before you try to install piwik.

I hope it will help you.

Sincerely Yours
Carsten Feuls

toco commented on 2015-09-21 18:17

hey ther is a error check pgp-signature, its wrong...
where can i find the actual one?

thanks!

toco commented on 2015-09-21 17:45

Hey there are a error the PGP-Sign is not correct...

how is the valid key?

rpodgorny commented on 2015-02-24 10:22

wow, that's unfortunate. maybe we should link back (as a workaround).